## org.apache.taglibs.standard.lang.jstl
Class OrOperator

    java.lang.Object
      org.apache.taglibs.standard.lang.jstl.BinaryOperator
          org.apache.taglibs.standard.lang.jstl.OrOperator

    public class OrOperator

extends BinaryOperator

The implementation of the or operator

Version:
  $Change: 181177 $$DateTime: 2001/06/26 08:45:09 $$Author: tcfujii $
Author:
  Nathan Abramson - Art Technology Group

Field Summary
`static OrOperator` `SINGLETON`

Constructor Summary
`OrOperator()` Constructor

Method Summary
`Object` `apply(Object pLeft, Object pRight, Object pContext, Logger pLogger)` Applies the operator to the given value
`String` `getOperatorSymbol()` Returns the symbol representing the operator
`boolean` `shouldCoerceToBoolean()` Returns true if the operator expects its arguments to be coerced to Booleans.
`boolean` `shouldEvaluate(Object pLeft)` Returns true if evaluation is necessary given the specified Left value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SINGLETON

    public static final OrOperator SINGLETON

Constructor Detail

### OrOperator

    public OrOperator()

  Constructor

Method Detail

### getOperatorSymbol

    public String getOperatorSymbol()

  Returns the symbol representing the operator

  Specified by:
    `getOperatorSymbol` in class `BinaryOperator`

### apply

    public Object apply(Object pLeft,
                        Object pRight,
                        Object pContext,
                        Logger pLogger)
                 throws ELException

  Applies the operator to the given value

  Specified by:
    `apply` in class `BinaryOperator`
  Throws:
    `ELException`

### shouldEvaluate

    public boolean shouldEvaluate(Object pLeft)

  Returns true if evaluation is necessary given the specified Left value. The And/OrOperators make use of this

  Overrides:
    `shouldEvaluate` in class `BinaryOperator`

### shouldCoerceToBoolean

    public boolean shouldCoerceToBoolean()

  Returns true if the operator expects its arguments to be coerced to Booleans. The And/Or operators set this to true.

  Overrides:
    `shouldCoerceToBoolean` in class `BinaryOperator`

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.